hpp-python: pyhpp::core::PathWrapper Class Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python |

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
pyhpp::core::PathWrapper Class Reference
Inheritance diagram for pyhpp::core::PathWrapper:
[legend]
Collaboration diagram for pyhpp::core::PathWrapper:
[legend]

## Public Member Functions
virtual | ~PathWrapper ()=default
Public Member Functions inherited from hpp::core::Path
virtual | ~Path ()
virtual PathPtr_t | copy () const=0
virtual PathPtr_t | copy (const ConstraintSetPtr_t &constraints) const=0
shared_ptr< T > | as (void)
shared_ptr< const T > | as (void) const
PathPtr_t | extract (const interval_t &subInterval) const
PathPtr_t | extract (const value_type &tmin, const value_type &tmax) const
virtual PathPtr_t | reverse () const
Configuration_t | eval (const value_type &time, bool &success) const
bool | eval (ConfigurationOut_t result, const value_type &time) const
bool | at (const value_type &time, ConfigurationOut_t result) const
void | derivative (vectorOut_t result, const value_type &time, size_type order) const
void | velocityBound (vectorOut_t result, const value_type &t0, const value_type &t1) const
size_type | outputSize () const
size_type | outputDerivativeSize () const
const interval_t & | timeRange () const
virtual value_type | length () const
virtual Configuration_t | initial () const=0
virtual Configuration_t | end () const=0
const ConstraintSetPtr_t & | constraints () const
const interval_t & | paramRange () const
const TimeParameterizationPtr_t & | timeParameterization () const
void | timeParameterization (const TimeParameterizationPtr_t &tp, const interval_t &tr)
virtual | ~Path ()
virtual PathPtr_t | copy () const=0
virtual PathPtr_t | copy (const ConstraintSetPtr_t &constraints) const=0
shared_ptr< T > | as (void)
shared_ptr< const T > | as (void) const
PathPtr_t | extract (const interval_t &subInterval) const
PathPtr_t | extract (const value_type &tmin, const value_type &tmax) const
virtual PathPtr_t | reverse () const
Configuration_t | eval (const value_type &time, bool &success) const
bool | eval (ConfigurationOut_t result, const value_type &time) const
bool | at (const value_type &time, ConfigurationOut_t result) const
void | derivative (vectorOut_t result, const value_type &time, size_type order) const
void | velocityBound (vectorOut_t result, const value_type &t0, const value_type &t1) const
size_type | outputSize () const
size_type | outputDerivativeSize () const
const interval_t & | timeRange () const
virtual value_type | length () const
virtual Configuration_t | initial () const=0
virtual Configuration_t | end () const=0
const ConstraintSetPtr_t & | constraints () const
const interval_t & | paramRange () const
const TimeParameterizationPtr_t & | timeParameterization () const
void | timeParameterization (const TimeParameterizationPtr_t &tp, const interval_t &tr)

## Protected Member Functions
| Path (const interval_t &interval, size_type outputSize, size_type outputDerivativeSize, const ConstraintSetPtr_t &constraints)
| Path (const interval_t &interval, size_type outputSize, size_type outputDerivativeSize)
| Path (const Path &path)
| Path (const Path &path, const ConstraintSetPtr_t &constraints)
| Path ()
Protected Member Functions inherited from hpp::core::Path
virtual std::ostream & | print (std::ostream &os) const
| Path (const interval_t &interval, size_type outputSize, size_type outputDerivativeSize, const ConstraintSetPtr_t &constraints)
| Path (const interval_t &interval, size_type outputSize, size_type outputDerivativeSize)
| Path (const Path &path)
| Path (const Path &path, const ConstraintSetPtr_t &constraints)
void | init (const PathWkPtr_t &self)
void | constraints (const ConstraintSetPtr_t &constraint)
virtual void | checkPath () const
void | timeRange (const interval_t &timeRange)
value_type | paramLength () const
Configuration_t | configAtParam (const value_type &param, bool &success) const
virtual bool | impl_compute (ConfigurationOut_t configuration, value_type param) const=0
virtual void | impl_derivative (vectorOut_t derivative, const value_type &param, size_type order) const
virtual void | impl_velocityBound (vectorOut_t bound, const value_type &param0, const value_type &param1) const
virtual PathPtr_t | impl_extract (const interval_t &paramInterval) const
| Path ()

## Additional Inherited Members
Protected Attributes inherited from hpp::core::Path
interval_t | paramRange_

## Constructor & Destructor Documentation

## ◆ ~PathWrapper()

virtual pyhpp::core::PathWrapper::~PathWrapper | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ Path() [1/5]

hpp::core::Path::Path | ( |  | ) |
| protected

## ◆ Path() [2/5]

hpp::core::Path::Path | ( | const interval_t & | interval,
|  | size_type | outputSize,
|  | size_type | outputDerivativeSize )
| protected

## ◆ Path() [3/5]

hpp::core::Path::Path | ( | const interval_t & | interval,
|  | size_type | outputSize,
|  | size_type | outputDerivativeSize,
|  | const ConstraintSetPtr_t & | constraints )
| protected

## ◆ Path() [4/5]

hpp::core::Path::Path | ( | const Path & | path | ) |
| protected

## ◆ Path() [5/5]

hpp::core::Path::Path | ( | const Path & | path,
|  | const ConstraintSetPtr_t & | constraints )
| protected

The documentation for this class was generated from the following file:

- src/pyhpp/core/path.cc